RDKit::UnimplementedFPException Class Reference

used to indicate errors for unimplemented fp types in convenience functions More...

`#include <FingerprintGenerator.h>`

Inheritance diagram for RDKit::UnimplementedFPException:

## Public Member Functions

| UnimplementedFPException (const char *msg)
| construct with an error message More...
| UnimplementedFPException (const std::string &msg)
| construct with an error message More...
const char * | message () const
| get the error message More...
| ~UnimplementedFPException () throw ()

## Detailed Description

used to indicate errors for unimplemented fp types in convenience functions

Definition at line 300 of file FingerprintGenerator.h.

## Constructor & Destructor Documentation

## UnimplementedFPException() [1/2]

RDKit::UnimplementedFPException::UnimplementedFPException | ( | const char * | msg | ) |

inline

construct with an error message

Definition at line 304 of file FingerprintGenerator.h.

## UnimplementedFPException() [2/2]

RDKit::UnimplementedFPException::UnimplementedFPException | ( | const std::string & | msg | ) |

inline

construct with an error message

Definition at line 306 of file FingerprintGenerator.h.

## ~UnimplementedFPException()

RDKit::UnimplementedFPException::~UnimplementedFPException | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 309 of file FingerprintGenerator.h.

## Member Function Documentation

## message()

const char* RDKit::UnimplementedFPException::message | ( |  | ) | const

inline

get the error message

Definition at line 308 of file FingerprintGenerator.h.

The documentation for this class was generated from the following file:

- FingerprintGenerator.h